summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Necib ÇAPAR2022-08-13 04:00:21 +0200
committer Willy Sudiarto Raharjo2022-08-13 04:00:21 +0200
commitca7fcd2c2fc8cd8911b89b71ed560965b3769d9a (patch)
tree59d6da00ddf6a71b311756794555e64b327e8423
parent4e56e6c92ca45fe3a56d24e79fad10af7ac71a3c (diff)
downloadslackbuilds-ca7fcd2c2fc8cd8911b89b71ed560965b3769d9a.tar.gz
system/openGLRefToMan: Added (OpenGL API reference manpages).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/openGLRefToMan/README17
-rw-r--r--system/openGLRefToMan/doinst.sh1
-rw-r--r--system/openGLRefToMan/douninst.sh1
-rw-r--r--system/openGLRefToMan/openGLRefToMan.SlackBuild89
-rw-r--r--system/openGLRefToMan/openGLRefToMan.info10
-rw-r--r--system/openGLRefToMan/slack-desc19
6 files changed, 137 insertions, 0 deletions
diff --git a/system/openGLRefToMan/README b/system/openGLRefToMan/README
new file mode 100644
index 0000000000..cacca09bce
--- /dev/null
+++ b/system/openGLRefToMan/README
@@ -0,0 +1,17 @@
+'openGLRefToMan' is a group of shell scripts and corrected
+manpages used for creating readable manpages that will be
+produced by conversion of DocBook XML sources of official
+OpenGL API references presented by Khronos Group.
+
+Patches will be created by using helper scripts and manually
+corrected manpages which are presented as a part of the
+sources required for the SlackBuild script.
+
+The user is presented with an option for creation of up-to-date
+SlackBuild source tarball in scripts/CreateSlackBuildSourceTarball.sh
+of the source tarball instead of using potentially out-dated
+SlackBuild source tarball.
+
+After the removal of the package database used by 'whatis'
+command will be updated automatically for clearance of OpenGL
+API reference entries.
diff --git a/system/openGLRefToMan/doinst.sh b/system/openGLRefToMan/doinst.sh
new file mode 100644
index 0000000000..9c30d13ecc
--- /dev/null
+++ b/system/openGLRefToMan/doinst.sh
@@ -0,0 +1 @@
+mandb -c # update index database used by 'whatis'
diff --git a/system/openGLRefToMan/douninst.sh b/system/openGLRefToMan/douninst.sh
new file mode 100644
index 0000000000..9c30d13ecc
--- /dev/null
+++ b/system/openGLRefToMan/douninst.sh
@@ -0,0 +1 @@
+mandb -c # update index database used by 'whatis'
diff --git a/system/openGLRefToMan/openGLRefToMan.SlackBuild b/system/openGLRefToMan/openGLRefToMan.SlackBuild
new file mode 100644
index 0000000000..235de53051
--- /dev/null
+++ b/system/openGLRefToMan/openGLRefToMan.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# openGLReftoMan.SlackBuild - SlackBuild script for creating OpenGL Ref manpages
+# Copyright © 2022 Necib ÇAPAR <necipcapar@gmail.com>
+
+# This file is part of openGLRefToMan
+
+# openGLRefToMan is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# openGLRefToMan is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=openGLRefToMan
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir --parents patches
+scripts/OpenGLprocessRepo.sh OpenGL-Refpages*
+scripts/OpenGLcreateManPatches.sh ./OpenGL-Refpages*/man3 ./corrected_manpages/* ./patches
+scripts/OpenGLpatchManPages.sh OpenGL-Refpages*/man3 patches
+
+mkdir --parents $PKG/usr/man
+cp --archive $TMP/$PRGNAM-$VERSION/OpenGL-Refpages*/man3 $PKG/usr/man
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh >| $PKG/install/doinst.sh
+cat $CWD/douninst.sh >| $PKG/install/douninst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/openGLRefToMan/openGLRefToMan.info b/system/openGLRefToMan/openGLRefToMan.info
new file mode 100644
index 0000000000..cdb2592b47
--- /dev/null
+++ b/system/openGLRefToMan/openGLRefToMan.info
@@ -0,0 +1,10 @@
+PRGNAM="openGLRefToMan"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/N-Tek/openGLRefToMan"
+DOWNLOAD="https://github.com/N-Tek/openGLRefToMan/releases/download/v1.0.0/openGLRefToMan-1.0.0.tar.gz"
+MD5SUM="b829e8c0669479660fdae933368ffec4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mathML2dtd docbookMathML1mods docbook-xml5"
+MAINTAINER="Necib ÇAPAR"
+EMAIL="necipcapar@gmail.com"
diff --git a/system/openGLRefToMan/slack-desc b/system/openGLRefToMan/slack-desc
new file mode 100644
index 0000000000..34c4ac43ca
--- /dev/null
+++ b/system/openGLRefToMan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openGLRefToMan: openGLRefToMan (converted OpenGL API reference manpages)
+openGLRefToMan:
+openGLRefToMan: converted OpenGL API references in manpage format
+openGLRefToMan:
+openGLRefToMan:
+openGLRefToMan:
+openGLRefToMan:
+openGLRefToMan:
+openGLRefToMan:
+openGLRefToMan:
+openGLRefToMan: https://github.com/N-Tek/openGLRefToMan.git